package com.hh.lib_face.bean;

import com.hh.lib_base.utils.StringUtils;

/**
 * Description: $
 *
 * @author xwh
 * time 2024/8/26
 **/
public class ParamsFaceResultBean {


    // -----------刷脸-支付宝结果---------begin
    String alipayUid;
    Integer code = null;
    String extInfo;
    String ftoken;
    Boolean isvResult = null;
    String subCode;
    String subMessage;
    String vid;

    String originFaceInfo;


    // -----------刷脸-支付宝结果---------end

    // -----------身份证，刷脸共同的---------begin
    private String name;
    private String idNum;
    // -----------身份证，刷脸共同的---------End



    // -----------刷脸-用户三要素---------begin
    String userId;
    String mobile;
    String avatar;
    // -----------刷脸-用户三要素--------end

    String photoBase64;

    public String getOriginFaceInfo() {
        return originFaceInfo;
    }

    public void setOriginFaceInfo(String originFaceInfo) {
        this.originFaceInfo = originFaceInfo;
    }

    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getPhotoBase64() {
        return photoBase64;
    }

    public void setPhotoBase64(String photoBase64) {

        if(StringUtils.isNotNull(photoBase64)){
            photoBase64 = photoBase64.replaceAll("\n","");
        }

        this.photoBase64 = photoBase64;
    }

    public String getAlipayUid() {
        return alipayUid;
    }

    public void setAlipayUid(String alipayUid) {
        this.alipayUid = alipayUid;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getExtInfo() {
        return extInfo;
    }

    public void setExtInfo(String extInfo) {
        this.extInfo = extInfo;
    }

    public String getFtoken() {
        return ftoken;
    }

    public void setFtoken(String ftoken) {
        this.ftoken = ftoken;
    }

    public Boolean getIsvResult() {
        return isvResult;
    }

    public void setIsvResult(Boolean isvResult) {
        this.isvResult = isvResult;
    }

    public String getSubCode() {
        return subCode;
    }

    public void setSubCode(String subCode) {
        this.subCode = subCode;
    }

    public String getSubMessage() {
        return subMessage;
    }

    public void setSubMessage(String subMessage) {
        this.subMessage = subMessage;
    }

    public String getVid() {
        return vid;
    }

    public void setVid(String vid) {
        this.vid = vid;
    }
}
